#ifndef LCD_H
#define LCD_H

#include "main.h"

#define LCD_PHY_ROWS 2
#define LCD_PHY_COLS 16
#define LCD_LOG_ROWS 2
#define LCD_LOG_COLS 16

void lcd_clock(void);
void lcd_dwrite(uint8_t d);
void lcd_iwrite(uint8_t d, uint8_t half);
void lcd_init(void);

// Put a character at a specific location
void lcd_putchar(uint32_t row, uint32_t col, char c);

#endif // LCD_H
